Bug 240747 - multimedia/shotcut: Fails to build without NLS option
Summary: multimedia/shotcut: Fails to build without NLS option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: lwshu
URL:
Keywords:
Depends on: 247702
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-22 10:13 UTC by ml
Modified: 2020-07-14 00:43 UTC (History)
2 users (show)

See Also:


Attachments
Full (failing) log (573.94 KB, text/plain)
2019-09-22 14:20 UTC, ml
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ml 2019-09-22 10:13:23 UTC
Compiling multimedia/shotcut with poudriere, fails if option NLS is deselected.

Log ends with:
/usr/local/lib/qt5/bin/lrelease shotcut_ca.ts -qm ../share/shotcut/translations/shotcut_ca.qm
make[2]: exec(/usr/local/lib/qt5/bin/lrelease) failed (No such file or directory)
*** Error code 1

Stop.
make[2]: stopped in /wrkdirs/usr/ports/multimedia/shotcut/work/shotcut-19.09.14/translations
*** Error code 1

Stop.
make[1]: stopped in /wrkdirs/usr/ports/multimedia/shotcut/work/shotcut-19.09.14
*** Error code 1



Enabling NLS lets me compile.



I believe the problem might be in Makefile, where it says:
USE_QT=         buildtools_build concurrent_build core declarative \
                graphicaleffects_run gui multimedia network opengl \
                printsupport quickcontrols_run sql \
                sql-sqlite3_run webkit websockets widgets x11extras xml
...
NLS_USES=       qt:5
NLS_USE=                QT=linguisttools_build


Perhaps qt:5 shoud be in USES in any case?
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-22 12:51:50 UTC
Can you include the full build log as an attachment please
Comment 2 ml 2019-09-22 14:20:09 UTC
Created attachment 207715 [details]
Full (failing) log
Comment 3 VVD 2020-07-02 02:14:53 UTC
(In reply to ml from comment #2)
Check this: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=247702
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-03 02:32:18 UTC
^Triage: If bug 247702 resolved this issue, please set that issue in this issues "Depends On" field, assign to committer that resolved and close
Comment 5 VVD 2020-07-12 16:15:08 UTC
How long before "Feedback Timeout"?
Comment 6 Li-Wen Hsu freebsd_committer 2020-07-13 02:51:11 UTC
I don't think "maintainer-feedback" flag is suitable here, it's actually asking reporter's feedback.  It also has two-week timeout.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-13 03:28:38 UTC
@Li-Wen I leveraged the feedback flag to obtain info from you on whether bug 247702 resolves this issue or not. Not perfect, but its what we have to request feedback at the moment.

I'll close this issue resolved by bug 247702 

If this issue is still reproducible in an up to date ports tree on a supported branch, please re-open with additional detail
Comment 8 Li-Wen Hsu freebsd_committer 2020-07-13 05:35:48 UTC
(In reply to Kubilay Kocak from comment #7)
Thanks for notifying me, but I believe the one we should get feedback is the reporter, ml@netfence.it, to see if their issue has been resolved.  I didn't notice this bug when dealing with bug 247702. I did check the patch in bug 247702  but I wanted to hear from the reporter if there is anything I missed in this one so I leave it for the reporter to verify.  That's why I leave this one open or until the 2 weeks timeout reaches.
Comment 9 ml 2020-07-13 12:32:43 UTC
Program compiles, installs and starts, so the bug is over.
Thanks to all.
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-14 00:43:25 UTC
(In reply to ml from comment #9)

Thanks for the confirmation!

^Triage: Assign to committer that (actually) resolved